Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#876 Le 11/03/2009, à 20:02

fran.b

Re : FRICORDER FreeboxTV/magnétoscope.virtuel

Bon, tu vas faire la chose suivante:
Tu programmes un truc quelconque mais pour dans une heure.
Puis tu fais atq, tu vois apparaitre un numéro n, par exemple

92      Wed Mar 18 12:55:00 2009 a francois

Là tu tapes

at -c 92

(remplace 92 par le numéro n)
Tu obtiens un truc genre

#!/bin/sh
# atrun uid=1000 gid=1000
# mail francois 0
umask 22
LC_MONETARY=fr_FR.UTF-8; export LC_MONETARY
SSH_CLIENT=192.168.1.245\ 38563\ 22; export SSH_CLIENT
LC_NUMERIC=fr_FR.UTF-8; export LC_NUMERIC
OLDPWD=/home/francois; export OLDPWD
SSH_TTY=/dev/pts/6; export SSH_TTY
LC_ALL=fr_FR.UTF-8; export LC_ALL
USER=francois; export USER
[...]
LANGUAGE=fr_FR.UTF-8:C; export LANGUAGE
LOGNAME=francois; export LOGNAME
LC_CTYPE=fr_FR.UTF-8; export LC_CTYPE
SSH_CONNECTION=192.168.1.245\ 38563\ 192.168.1.248\ 22; export SSH_CONNECTION
LC_TIME=fr_FR.UTF-8; export LC_TIME
cd /usr/local/freecorder || {
         echo 'Execution directory inaccessible' >&2
         exit 1
}
./frecord.sh "rtsp://mafreebox.freebox.fr/fbxtv_pub/stream?namespace=1&service=204&flavour=sd" 4200 direct "/home/francois/FINI/[Arte][2009.03.18_12:55][70]"

Vérifies qui exécute le script (i.e les uid, ça doit être toi) et indique la dernière commande.

Hors ligne

#877 Le 11/03/2009, à 22:50

mth

Re : FRICORDER FreeboxTV/magnétoscope.virtuel

Alors, je ne vois rien qui cloche au niveau de l'utilisateur, ni au niveau de la dernière commande, mais je reconnais que ça me parle assez peu ...
Alors je balance tout (désolé ...)

#!/bin/sh
# atrun uid=1000 gid=1000
# mail mth 0
umask 22
SSH_AGENT_PID=6411; export SSH_AGENT_PID
GPG_AGENT_INFO=/tmp/seahorse-FbwhNG/S.gpg-agent:6420:1; export GPG_AGENT_INFO
DESKTOP_STARTUP_ID=; export DESKTOP_STARTUP_ID
XDG_SESSION_COOKIE=a50fb39af4b40cd66d42e8274824737a-1236763825.137651-1602904406; export XDG_SESSION_COOKIE
GTK_RC_FILES=/etc/gtk/gtkrc:/home/mth/.gtkrc-1.2-gnome2; export GTK_RC_FILES
WINDOWID=52428892; export WINDOWID
USER=mth; export USER
[...]
SSH_AUTH_SOCK=/tmp/keyring-m0fRMb/ssh; export SSH_AUTH_SOCK
GNOME_KEYRING_SOCKET=/tmp/keyring-m0fRMb/socket; export GNOME_KEYRING_SOCKET
SESSION_MANAGER=local/Raspoutine:/tmp/.ICE-unix/6281; export SESSION_MANAGER
USERNAME=mth; export USERNAME
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11:/usr/games; export PATH
DESKTOP_SESSION=default; export DESKTOP_SESSION
GDM_XSERVER_LOCATION=local; export GDM_XSERVER_LOCATION
PWD=/home/mth; export PWD
LANG=fr_FR.UTF-8; export LANG
GDM_LANG=fr_FR.UTF-8; export GDM_LANG
PS1=\\e[7\;36mEviv\ Bulgroz\\e[0\;35m\ [\\t]\ \\e[0\;31m[\\w]\ \\e[0m; export PS1
GDMSESSION=default; export GDMSESSION
HISTCONTROL=ignoredups; export HISTCONTROL
SHLVL=1; export SHLVL
HOME=/home/mth; export HOME
GNOME_DESKTOP_SESSION_ID=Default; export GNOME_DESKTOP_SESSION_ID
AWT_TOOLKIT=MToolkit; export AWT_TOOLKIT
LOGNAME=mth; export LOGNAME
XDG_DATA_DIRS=/usr/local/share/:/usr/share/:/usr/share/gdm/; export XDG_DATA_DIRS
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-MEiVsyiJPh,guid=dfd4ab474b9968240a9d2e5c49b784b6; export DBUS_SESSION_BUS_ADDRESS
LESSOPEN=\|\ /usr/bin/lesspipe\ %s; export LESSOPEN
WINDOWPATH=7; export WINDOWPATH
LESSCLOSE=/usr/bin/lesspipe\ %s\ %s; export LESSCLOSE
COLORTERM=gnome-terminal; export COLORTERM
XAUTHORITY=/home/mth/.Xauthority; export XAUTHORITY
cd /home/mth || {
	 echo 'Execution directory inaccessible' >&2
	 exit 1
}
/usr/share/fricorder/fricorder_record.sh "rtsp://mafreebox.freebox.fr/fbxtv_pub/stream?namespace=1&service=201&flavour=sd" 7200 direct "/home/mth/Documents/[France_2][2009-03-11_22-34][120]"

En espérant que ça soit exploitable !

En tout cas, merci pour ta disponibilité (ce n'est pas la première fois ...)


Eviv Bulgroz !

Hors ligne

#878 Le 11/03/2009, à 23:13

fran.b

Re : FRICORDER FreeboxTV/magnétoscope.virtuel

Rien d'anormal à vue de nez... Bon, met toi dans le répertoire /home/mth et exécute

/usr/share/fricorder/fricorder_record.sh "rtsp://mafreebox.freebox.fr/fbxtv_pub/stream?namespace=1&service=201&flavour=sd" 7200 direct "/home/mth/Documents/[France_2][2009-03-11_22-34][120]"

et regarde les messages d'erreurs.

Hors ligne

#879 Le 11/03/2009, à 23:26

mth

Re : FRICORDER FreeboxTV/magnétoscope.virtuel

Effectivement :

bash: /usr/share/fricorder/fricorder_record.sh: Permission non accordée

Je pensait pourtant ne pas avoir de problème de droits. Que dois-je faire exactement pour vérifier ?


Eviv Bulgroz !

Hors ligne

#880 Le 11/03/2009, à 23:50

fran.b

Re : FRICORDER FreeboxTV/magnétoscope.virtuel

Fais un
# chmod +x /usr/share/fricorder/*.sh
C'est bizarre comme erreur mais bon.

Hors ligne

#881 Le 12/03/2009, à 23:05

mth

Re : FRICORDER FreeboxTV/magnétoscope.virtuel

Youpi, ça marche !! smile
Merci beaucoup, je suis sauvé pour le rugby dimanche wink

Juste pour que je comprenne bien : un script (fricorder_record.sh en l'occurence) n'avait pas été rendu exécutable, c'est bien ça ?
Bon, c'est mon installation de fricorder qui devait être foireuse.

En tous cas, encore merci pour ton aide et ta disponibilité !


Eviv Bulgroz !

Hors ligne

#882 Le 14/07/2009, à 19:36

Nidam

Re : FRICORDER FreeboxTV/magnétoscope.virtuel

Bonjourbonsoir !

passé il y a 3 jours sous jaunty, après autres misères, ne voilà-t-il pas que fricorder (07.40 par deb)
se met aussi à faire des siennes :

il ne veut plus tenir compte de l'heure "23"
càd que je veux enregistrer un programme qui commence à 23Hxx, ça l'enregistre comme 22;
j'ai écrit 23 de toutes les façons possibles (avec l'échelle, à la main, avec haut/bas)  rien à faire !!

Glade ne sait pas compter ?! j'ai été y faire un tour mais c'est la première fois que je le voyais de près,
alors je n'ai pas trop osé y toucher....

Bon, pour les Talking Heads je lancerai à la main - ce soir Stop Making Sense sur arte bien sûr ! -
et je précise que j'ai déjà fait un enregistrement automatique hier qui s'est très bien passé,
avec Goldeneye

C'est la première fois que je remarque ce souci après 2 ans de bons et loyaux services - à part
le changement de forme de FB, un modeste incident réglé en 2 temps 3mouvements grâce
à vos conseils wink)
Aussi après avoir fait un peu de gogol bien que ma religion antimonopolistique me l'interdise lol
sans succès, je vous soumet le 'bug'

#883 Le 15/07/2009, à 00:10

Nidam

Re : FRICORDER FreeboxTV/magnétoscope.virtuel

...à l'enregistrement à chaud :
fricorder consent à prendre 23:55 mais pour un stop à 1:20, il compte...145 minutes !

#884 Le 22/07/2009, à 20:32

p6s

Re : FRICORDER FreeboxTV/magnétoscope.virtuel

mmhh, je me demande si effectivement fricorder vient pas de reprendre un autre coup sur la tete avec le passage à VLC 1.0.
j'ai lancé juste un enregistrement test d'une minute....il y a 1/4 d'heure, et il enregistre toujours tongue

peut-etre offre t'il une heure de "bonus" (voir msg précédent) pour toute durée d'enregistrement ? auquel cas faut trouver le parametre dans VLC qui est passé de 0 à 1 ou quelque chose du genre cool

edit : a la fin du temps "reglementaire" (celui qu'on a choisi), on a bien la fenetre d'enregistrement qui se ferme, et je vois zenity qui fait une courte apparition dans la liste des process (via le moniteur systeme))...mais c'est tout, pas de message et l'enregistrement continue...

Dernière modification par p6s (Le 22/07/2009, à 20:51)

Hors ligne

#885 Le 01/11/2009, à 23:43

zvezdafolk

Re : FRICORDER FreeboxTV/magnétoscope.virtuel

Bonjour,

après une install toute fraiche de karmic, je n'arrive plus à faire fonctionner le logiciel, le symptome et que l'enregistrement ne se lance pas. Comme c'est le même symptome que mth, j'ai essayé les mêmes remède :
# sudo chmod +x /usr/share/fricorder/*.sh
mais ça ne change rien.

Si je lance en dans un shell, j'ai aussi le message :
warning: commands will be executed using /bin/sh

J'ai tenté la commande :
# /usr/share/fricorder/fricorder_record.sh "rtsp://mafreebox.freebox.fr/fbxtv_pub/stream?namespace=1&service=201&flavour=sd" 7200 direct "/home/nat/Bureau/[France_2][2009-03-11_22-34][120]"

ça ne marche pas mieux, la fenêtre d'enregistrement s'ouvre, mais aucun fichier n'est créé et j'ai ce message :
VLC media player 1.0.2 Goldeneye
[0x9193ff0] main interface error: no interface module matched "globalhotkeys,none"
[0x9193ff0] main interface error: no suitable interface module
[0x90e1140] main libvlc error: interface "globalhotkeys,none" initialization failed
[0x9193f88] dummy interface: using the dummy interface module...
[0x91ac440] access_output_file access out error: cannot open `' (Aucun fichier ou dossier de ce type)
[0x91a6d00] stream_out_standard stream out error: no suitable sout access module for `file/ts://(null)'
[0x91a6b50] main stream output error: stream chain failed for `std{access=file,mux=ts,url=/home/nat/Bureau/[France_2][2009-03-11_22-34][120].mpg}'
[0x91a8450] main input error: cannot start stream output instance, aborting

Comme rien ne se passe j'arrête l'enregistrement avec ctrl+c et j'obtiens encore trois lignes :
[0x8e54318] signals interface error: Caught Interrompre signal, exiting...
/usr/share/fricorder/fricorder_record.sh: line 73: 12204 Processus arrêté      sleep $LENGTH
/usr/share/fricorder/fricorder_record.sh: line 23: 12201 Processus arrêté      vlc $STREAM --vout-filter deinterlace:bob --sout "#std{access=file,mux=ts,url=$OUTFILE.mpg}" -I dummy


Je ne sais pas trop si le problème vient de vlc, en tout cas j'ai essayé de faire :
#vlc "rtsp://mafreebox.freebox.fr/fbxtv_pub/stream?namespace=1&service=201&flavour=sd"

vlc s'est ouvert et j'ai eu le flux comme il faut accompagné de ces quelques lignes :
[0x9c1a378] main interface error: no interface module matched "globalhotkeys,none"
[0x9c1a378] main interface error: no suitable interface module
[0x9b69140] main libvlc error: interface "globalhotkeys,none" initialization failed
[0x9b69140] main libvlc: Lancement de vlc avec l'interface par défaut. Utilisez « cvlc » pour démarrer VLC sans interface.
libdvbpsi error (PSI decoder): TS discontinuity (received 8, expected 0) for PID 0
libdvbpsi error (PSI decoder): TS discontinuity (received 7, expected 0) for PID 1285
[0x9ec1270] pulse audio output: No. of Audio Channels: 2
QPainter::begin: Paint device returned engine == 0, type: 1
QPainter::begin: Paint device returned engine == 0, type: 1


Une idée. En tout cas ce programme est très bien, simple et efficace : j'adore ! (surtout quand il marche)

Hors ligne

#886 Le 06/11/2009, à 10:05

manatlan

Re : FRICORDER FreeboxTV/magnétoscope.virtuel

je test ce soir


"Oui, oui."
                -- Shakespeare (Richard III, Acte I, Scène IV)

Hors ligne

#887 Le 15/11/2009, à 12:00

Seb "enfin libre"

Re : FRICORDER FreeboxTV/magnétoscope.virtuel

Bonjour,

pour ma part l'enregistrement ne commence même pas depuis passage sous Karmic ... sad

Sébastien

Hors ligne